
#!/usr/bin/env python3
# simple SQLite db creation (allocate name, not any data.)
import sqlite3
import sys

db = sqlite3.connect('SQLsamp.db')          # connect to db
csr = db.cursor()                             # establish cursor

csr.execute("DROP TABLE sqlitelearn")
db.commit()

print("database  SQLsamp.db space allocated.")


createTable = """CREATE TABLE sqlitelearn (
         id INTEGER NOT NULL PRIMARY KEY,
         querytype TEXT,
         querypurpose TEXT)"""

csr.execute(createTable)
db.commit()

print('Table created.')


selectQuery = "SELECT * FROM sqlitelearn ;"
csr.execute(selectQuery)
selectRecords = csr.fetchall()

print(f'selectRecords:{selectRecords}')
db.commit()
db.close()

sys.exit()


